## pyinotify 0.5.2

=== Makefile ===
PYTHON = python
EPYDOC = epydoc2.4

all:
	$(PYTHON) setup.py build

doc: all
	rm -f src/pyinotify/__init__.py
	rm -rf doc
	$(EPYDOC) -o doc -c white --name pyinotify src/pyinotify/pyinotify.py src/pyinotify/inotify.py
	touch src/pyinotify/__init__.py

clean:
	$(PYTHON) setup.py clean
	find . \( -name '*~' -or \
		-name '*.pyc' -or \
		-name '*.pyo' -or \
		-name '*.so' -or \
		-name '.~*' -or \
		-name 'core' \) \
		-exec rm -f {} \;
	rm -rf build tmp dist

dist: doc clean
	$(PYTHON) setup.py sdist

## pyinotify 0.7.0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,9 @@
 		-name '*.pyo' -or \
 		-name '*.so' -or \
 		-name '.~*' -or \
-		-name 'core' \) \
+		-name 'core' -or \
+		-name '.coverage' -or \
+		-name '*.py.html' \) \
 		-exec rm -f {} \;
 	rm -rf build tmp dist

## pyinotify 0.7.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PYTHON = python
-EPYDOC = epydoc2.4
+EPYDOC = epydoc
 
 all:
 	$(PYTHON) setup.py build

## pyinotify 0.8.6

=== Makefile ===
EPYDOC=epydoc
DSTDOC=docstrings

doc: clean
	$(EPYDOC) --html --graph=all -v -o $(DSTDOC) pyinotify.py

clean:
	rm -rf $(DSTDOC)

## pyinotify 0.9.1

=== debian/changelog ===
pyinotify (0.9.1-1ubuntu1) oneiric; urgency=low

  * Switch to dh_python2. (LP: 788514)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 08 Aug 2011 16:05:01 -0400

pyinotify (0.9.1-1) unstable; urgency=low

  * New upstream release.
    - debian/control: Update list of documentation installed.
  * debian/control: Update my e-mail address.
  * Upstream moved to another site:
    - debian/control: Update homepage.
    - debian/watch: Update download location.
  * debian/source/format: Update source format to 3.0 (quilt).
  * debian/control, debian/rules: Use dh(1).
  * debian/control: Update Standards-Version to 3.9.1, no changes required.
  * debian/control: Drop conflict with python2.[34]-pyinotify which are no
    longer in oldstable.

 -- Mikhail Gusarov <dottedmag@debian.org>  Tue, 29 Mar 2011 08:57:40 +0200

pyinotify (0.8.9-1) unstable; urgency=low

  * New upstream release
    - License changed from GPLv2+ to MIT
  * Adjust documentation generation and installation due to changed
    tarball layout

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Mon, 11 Jan 2010 02:28:44 +0600

pyinotify (0.8.8-1) unstable; urgency=low

  * New upstream release.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Wed, 11 Nov 2009 19:29:08 +0600

pyinotify (0.8.7-1) unstable; urgency=low

  * New upstream release:
    - inotify detection with glibc 2.10 fixed (Closes: #546786),
    - python-psyco suggestion dropped, Psyco support removed upstream.
    - installing examples/* as examples, files moved upstream
  * Standards-Version is bumped to 3.8.3, no changes required.
  * Unused XB-Python-Version field removed.
  * doc-base registration added for HTML documentation

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Fri, 25 Sep 2009 03:31:04 +0700

pyinotify (0.8.6-2) unstable; urgency=low

  * Upload to unstable.
  * Added Breaks field for packages known to be incompatible with
    pyinotify 0.8.x.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Thu, 14 May 2009 13:49:58 +0700

pyinotify (0.8.6-1) experimental; urgency=low

  * New upstream release (Closes: #521422):
    - New upstream homepage,
      + debian/watch updated.
    - debian/copyright updated.
    - compiled module is gone:
      + -dbg package removed,
      + build-dependencies/runtime-dependencies cleaned up,
      + debian/rules cleanup.
    - documentation is now built with epydoc
      + added python-epydoc to dependencies
      + debian/rules adjusted
    - use-sys-syscall-h.patch removed, obsolete.
    - quilt dependency removed, no longer used:
      + debian/README.source removed.
  * Bump Standards-Version to 3.8.1, no changes required.
  * Bump debhelper compatibility to 7.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Mon, 13 Apr 2009 16:47:49 +0700

pyinotify (0.7.1-3) unstable; urgency=low

  * debian/copyight:
    - Replacing (C) with ©, as suggested by Lintian,
    - Several files are under GPLv2 or later,
    - Updating copyright years to 2009.
  * debian/control:
    - Updated short description for python-pyinotify-doc, as suggested by
      Lintian.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Tue, 17 Feb 2009 00:46:17 +0600

pyinotify (0.7.1-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Svn, Vcs-Browser and Homepage fields added

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
    - switch Vcs-Browser field to viewsvn
    - added -dbg package, adding python-all-dbg to build-depends
    - uncapitalized short descriptions of all binary packages
    - bump Standards-Version to 3.8.0
      + added debian/README.source
  * debian/rules
    - added -dbg building rules; thanks to Ezequiel Lara Gómez for the (partial)
      patch; Closes: #470990
    - correctly depending on '$(QUILT_STAMPFN)' (for configure-stamp target)
      and 'unpatch' (for clean target)
    - added removal of 'html/' dir (created by Debian package build system)
    - merged *-stamp removal in 'dh_clean' call
  * debian/patches/use-sys-syscall-h.patch
    - added description (from previous changelog entries)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 28 Dec 2008 15:01:11 +0100

pyinotify (0.7.1-1) unstable; urgency=low
  
  [Mikhail Gusarov]

  * New upstream release (Closes: #432866).
    - Removed hppa-syscalls.patch - applied upstream.
    - Removed m68k-syscalls.patch - applied upstream.

  * Acknowleging NMU 0.7.0-2.1. Thanks to LaMont Jones.
    - Added use-sys-syscall-h.patch - all Lenny architectures have an
    inotify support.
    - Package made Architecture: any.

  * Fixed compilation of _inotify.so for several Python versions (thanks
    to Christopher Halse Rogers) (Closes: #430891).

  * epydoc documentation moved to html/ subdir to avoid polluting
    documentation directory.
  
  * autopath.py stripped from examples, as it is not needed for packaged
    library, and hangs when being imported due to some reason.

  [Scott Kitterman]

  * Suggest python-pyinotify instead of python2.*-pyinotify for
    python-pyinotify-doc.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Thu, 20 Sep 2007 01:22:55 +0700

pyinotify (0.7.0-2.1) unstable; urgency=low 

   * Fix FTBFS on hppa and mips/mipsel by using sys/syscall.h, since
     inotify stuff is mainline linux on all lenny-supporting architectures.
   * Architecture: any and let Packages-arch-specific deal with the exceptions.

 -- LaMont Jones <lamont@debian.org>  Fri, 31 Aug 2007 18:59:18 -0600
  

pyinotify (0.7.0-2) unstable; urgency=low

  * Added armel and armeb to the supported architectures list. Thanks, Riku.
   (Closes: #429266)
  * Added patch hppa-syscalls.patch, enabling compilation for
    hppa. Thanks, Jan. (Closes: #382647).

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 17 Jun 2007 00:18:31 +0700

pyinotify (0.7.0-1) unstable; urgency=low

  * New maintainer. Thanks for your work, Hans!
  * Acknowledging NMU. Thanks, Pierre! (Closes: #373497)

  * New upstream release. (Closes: #370565, #414740)


=== debian/control ===
Source: pyinotify
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
Build-Depends-Indep: python-epydoc
Standards-Version: 3.9.1
Homepage: https://github.com/seb-m/pyinotify
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyinotify/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyinotify/trunk/

Package: python-pyinotify
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-pyinotify-doc
Breaks: deejayd (<< 0.8), listen (<< 0.6), pytagsfs (<< 0.9.0-2), debomatic (<< 0.6)
Description: simple Linux inotify Python bindings
 pyinotify is a simple wrapper for the Linux inotify mechanism.
 .
 inotify is a Linux Kernel feature available since 2.6.13. inotify makes
 it possible for applications to easily be notified of filesystem changes.

Package: python-pyinotify-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python-pyinotify
Description: simple Linux inotify Python bindings -- documentation
 pyinotify is a simple wrapper for the Linux inotify mechanism.
 .
 inotify is a Linux Kernel feature available since 2.6.13. inotify makes
 it possible for applications to easily be notified of filesystem changes.
 .
 This package contains API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean -- --all

	rm -rf html
	[ ! -e docstrings.orig ] || mv docstrings.orig docstrings

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/python-pyinotify -- --install-layout=deb

	[ ! -e docstrings ] || mv docstrings docstrings.orig
	epydoc python2/pyinotify.py

## pyinotify 0.9.2

=== debian/changelog ===
pyinotify (0.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #638708)
  * Use dh_python2 instead of python-support (Closes: #637148).
  * Drop Breaks for obsolete packages.
  * Update Standards-Version to 3.9.2, no changes required.
  * Convert debian/copyright to machine-readable format.

 -- Mikhail Gusarov <dottedmag@debian.org>  Sat, 27 Aug 2011 22:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: pyinotify
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
+Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
 Build-Depends-Indep: python-epydoc
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://github.com/seb-m/pyinotify
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyinotify/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyinotify/trunk/
@@ -16,7 +15,6 @@
 Depends: ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Suggests: python-pyinotify-doc
-Breaks: deejayd (<< 0.8), listen (<< 0.6), pytagsfs (<< 0.9.0-2), debomatic (<< 0.6)
 Description: simple Linux inotify Python bindings
  pyinotify is a simple wrapper for the Linux inotify mechanism.
  .

## pyinotify 0.9.3

=== debian/changelog ===
pyinotify (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3, no changes required.
  * Update debian/copyright to version 1.0 of machine-readable format.
  * Add missing reference to /usr/share/common-licenses/GPL-2 to
    debian/copyright.

 -- Mikhail Gusarov <dottedmag@debian.org>  Mon, 19 Mar 2012 20:15:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
 Build-Depends-Indep: python-epydoc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/seb-m/pyinotify
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyinotify/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyinotify/trunk/

## pyinotify 0.9.4

=== debian/changelog ===
pyinotify (0.9.4-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:50:31 +0000

pyinotify (0.9.4-1) unstable; urgency=low

  * New upstream release (Closes: #730106)

 -- Mikhail Gusarov <dottedmag@debian.org>  Sun, 24 Nov 2013 17:51:01 +0100

pyinotify (0.9.3-2) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sebastian Ramacher ]
  * debian/control: Change python3 in Build-Depends to python3-all to build
    against all supported Python 3 versions. (Closes: #692385)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 May 2013 13:54:56 +0200

pyinotify (0.9.3-1.1) unstable; urgency=low

  * Non-maintainer upload with IRC maintainer consent.
  * Add python3 package (Closes: #672187).

 -- Didier Raboud <odyx@debian.org>  Sat, 16 Jun 2012 12:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python3-all
 Build-Depends-Indep: python-epydoc
 Standards-Version: 3.9.3
 Homepage: https://github.com/seb-m/pyinotify
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyinotify/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyinotify/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyinotify/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyinotify/trunk/
+X-Python3-Version: >= 3.2
 
 Package: python-pyinotify
 Architecture: all
@@ -21,11 +22,24 @@
  inotify is a Linux Kernel feature available since 2.6.13. inotify makes
  it possible for applications to easily be notified of filesystem changes.
 
+Package: python3-pyinotify
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Suggests: python-pyinotify-doc
+Description: simple Linux inotify Python bindings
+ pyinotify is a simple wrapper for the Linux inotify mechanism.
+ .
+ inotify is a Linux Kernel feature available since 2.6.13. inotify makes
+ it possible for applications to easily be notified of filesystem changes.
+ .
+ This is the Python 3 version of the package.
+
 Package: python-pyinotify-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: python-pyinotify
+Recommends: python-pyinotify, python3-pyinotify
 Description: simple Linux inotify Python bindings -- documentation
  pyinotify is a simple wrapper for the Linux inotify mechanism.
  .

=== debian/watch ===
version=3
http://githubredir.debian.net/github/seb-m/pyinotify/ (.*).tar.gz

## pyinotify 0.9.5

=== debian/changelog ===
pyinotify (0.9.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" to d/source/options.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 11:37:51 +0000

pyinotify (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * Add dh-python to B-D as suggested by dh_python.
  * Update debian/watch to follow GitHub tags.

 -- Mikhail Gusarov <dottedmag@debian.org>  Wed, 11 Feb 2015 19:32:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python3-all
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python3-all, dh-python
 Build-Depends-Indep: python-epydoc
 Standards-Version: 3.9.3
 Homepage: https://github.com/seb-m/pyinotify

## pyinotify 0.9.6

=== debian/changelog ===
pyinotify (0.9.6-5) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1080897).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Jan 2025 11:53:55 +0000

pyinotify (0.9.6-4) unstable; urgency=medium

  * Team upload.
  * Use new dh-sequence-python3
  * Assign DPT as Maintainer per new Team Policy

  [ Bastian Germann ]
  * Run autopkgtest (Closes: #1075946)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Aug 2024 21:20:35 +0200

pyinotify (0.9.6-3) unstable; urgency=medium

  * Team upload.
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Add pyasyncore to Depends for support in Python >= 3.12.
    (Closes: #1075811, #1040102, #1075939)

 -- Bastian Germann <bage@debian.org>  Mon, 08 Jul 2024 12:58:39 +0200

pyinotify (0.9.6-2) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-pyinotify-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2022 21:27:16 -0400

pyinotify (0.9.6-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937459

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Apr 2020 12:15:30 -0400

pyinotify (0.9.6-1.2) unstable; urgency=medium

  * Replace previous NMU with a new source-only upload.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 08 Aug 2019 02:31:14 +0000

pyinotify (0.9.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/control to set Vcs-Git and Vcs-Browser (match salsa)
  * Update debian/control to remove X-Python3-Version (match salsa)
  * Eliminate dependency on epydoc, which will be removed (closes: #933617)
    - Update debian/control to remove Build-Depends-Indep: python-epydoc
    - Update debian/control to adjust description for python-pyinotify-doc
    - Update debian/rules to no longer build epydoc documentation
    - Update debian/python-pyinotify-doc.docs to remove html entry
    - Remove debian/python-pyinotify-doc.doc-base

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 02 Aug 2019 18:34:31 +0000

pyinotify (0.9.6-1) unstable; urgency=low

  [ Corey Bryant ]
  * New upstream release (Closes: #807520).

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Mikhail Gusarov ]
  * Allow to build twice (Closes: #825927).

 -- Mikhail Gusarov <dottedmag@debian.org>  Fri, 03 Jun 2016 21:19:13 +0200

pyinotify (0.7.0-2.1) unstable; urgency=low

   * Fix FTBFS on hppa and mips/mipsel by using sys/syscall.h, since
     inotify stuff is mainline linux on all lenny-supporting architectures.
   * Architecture: any and let Packages-arch-specific deal with the exceptions.

 -- LaMont Jones <lamont@debian.org>  Fri, 31 Aug 2007 18:59:18 -0600

=== debian/control ===
Source: pyinotify
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Mikhail Gusarov <dottedmag@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.3
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/seb-m/pyinotify
Vcs-Git: https://salsa.debian.org/python-team/packages/pyinotify.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyinotify

Package: python3-pyinotify
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pyasyncore
Provides: ${python3:Provides}
Suggests: python-pyinotify-doc
Description: simple Linux inotify Python bindings
 pyinotify is a simple wrapper for the Linux inotify mechanism.
 .
 inotify is a Linux Kernel feature available since 2.6.13. inotify makes
 it possible for applications to easily be notified of filesystem changes.

Package: python-pyinotify-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python3-pyinotify
Multi-Arch: foreign
Description: simple Linux inotify Python bindings -- documentation
 pyinotify is a simple wrapper for the Linux inotify mechanism.
 .
 inotify is a Linux Kernel feature available since 2.6.13. inotify makes
 it possible for applications to easily be notified of filesystem changes.
 .
 This package contains examples.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyinotify

%:
	dh $@ --buildsystem=pybuild
